SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000777: Mail queue filling up with delivery suspended... - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000777Endian FirewallOther Servicespublic2008-05-09 11:582013-04-25 14:11
Reporterkci 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta4 
Target VersionFixed in Version2.2-rc1 
Summary0000777: Mail queue filling up with delivery suspended...
DescriptionHere is the output of the mail queue as seen in the GUI...
-Queue ID- --Size-- ----Arrival Time---- -Sender/Recipient-------
3A206127711 504 Thu May 8 18:25:11 root@efw-1210262265.azrbc1.com
(delivery temporarily suspended: connect to 127.0.0.1[127.0.0.1]: Connection refused)
                                         root@efw-1210262265.azrbc1.com

36D861276FC 504 Thu May 8 17:59:47 root@efw-1210262265.azrbc1.com
(delivery temporarily suspended: connect to 127.0.0.1[127.0.0.1]: Connection refused)
                                         root@efw-1210262265.azrbc1.com

B8FD91276F4 511 Thu May 8 07:50:11 root@efw-1210262265.localdomain
(delivery temporarily suspended: connect to 127.0.0.1[127.0.0.1]: Connection refused)
                                         root@efw-1210262265.localdomain

B08D0127782 504 Thu May 8 23:00:11 root@efw-1210262265.azrbc1.com
(delivery temporarily suspended: connect to 127.0.0.1[127.0.0.1]: Connection refused)
                                         root@efw-1210262265.azrbc1.com
Additional InformationIt goes on and on. The mail queue will not flush.
Tagspurple
Attached Files

- Relationships

-  Notes
(0001141)
peter-endian (administrator)
2008-05-09 12:36

seems your amavis crashed, try:
restartsmtpscan
or
/etc/init.d/amavisd restart
(0001142)
kci (reporter)
2008-05-09 12:55

Ok... I see that the queue is now processing. Thanks for the help. I had rebooted several times before. has this happened before?
(0001143)
peter-endian (administrator)
2008-05-09 17:02

touch /etc/amavis/local_domains

and it should work again
(0004261)
Anonymous (viewer)
2010-05-25 09:47

I had the same problems yesterday. no succes on the given sollution. We finally reinstalled endian today to get back online. this was the second time that amavis locked up. a couple of months ago the same thing occured. non of the given sollutions as restartsmtp etc. helped.
Some of the errors at restart is that it could't stop the anti virus and
amavisd dead but subsys locked and amavisd dead but pid file exist. The given solluctions for that where also not working.
Maybe not the best way to solve but certainly the quickest way.
The last configuration change i did was QOS as a bandwith management setting on the red interface. After this the problem occured
(0004262)
baldy (reporter)
2010-05-25 13:09

I have also encountered the same issue before on 2.2, have not had this problem on 2.3.

In the SMTP Proxy disable virus and spam checking, save these settings, verify that they are turned off on the GUI page (sometimes spam or virus remained checked and had to be unchecked a second time) and reboot.

After reboot verify mailflow and let the queue empty itself completely.

When the queue is empty recheck the antivirus and spamchecking and reboot.

After reboot verify in the Status screen that the Spam filter for SMTP(amavis) is running.
If not, SSH into endian and use the restartsmtp.py script to start it.

Regards,

Klaas-Jan
(0007422)
bmaillet (reporter)
2011-09-19 15:26

Hi all

today, i'am facing the same real problem.
no way to start amavisd and this is blocking mails in EF.

even if i uncheck the spam and virus and reboot the server, no mail are delivered to users. all mais are blocked, logs are saying "status=deferred (connect to 127.0.0.1[127.0.0.1]: Connection refused)"

Please help
(0007423)
bmaillet (reporter)
2011-09-20 07:30

My problem was the Charset file missing in "/etc/amavis/fr"
I found this trying to launch "amavisd debug"

Why and when the file was deleted, i will never know.

- Issue History
Date Modified Username Field Change
2008-05-09 11:58 kci New Issue
2008-05-09 12:36 peter-endian Note Added: 0001141
2008-05-09 12:55 kci Note Added: 0001142
2008-05-09 17:02 peter-endian Status new => resolved
2008-05-09 17:02 peter-endian Fixed in Version => 2.2-rc1
2008-05-09 17:02 peter-endian Resolution open => fixed
2008-05-09 17:02 peter-endian Assigned To => peter-endian
2008-05-09 17:02 peter-endian Note Added: 0001143
2009-03-08 22:08 Anonymous Note Added: 0002018
2009-03-08 22:08 Anonymous Status resolved => feedback
2009-03-08 22:08 Anonymous Resolution fixed => reopened
2009-03-09 23:41 peter-endian Note Deleted: 0002018
2009-03-09 23:41 peter-endian Status feedback => closed
2009-03-09 23:41 peter-endian Resolution reopened => fixed
2010-05-25 09:47 Anonymous Note Added: 0004261
2010-05-25 09:47 Anonymous Status closed => feedback
2010-05-25 09:47 Anonymous Resolution fixed => reopened
2010-05-25 13:09 baldy Note Added: 0004262
2010-09-23 15:58 peter-endian Status feedback => closed
2010-09-23 15:58 peter-endian Resolution reopened => suspended
2011-09-19 15:26 bmaillet Note Added: 0007422
2011-09-19 15:26 bmaillet Status closed => feedback
2011-09-19 15:26 bmaillet Resolution suspended => reopened
2011-09-20 07:30 bmaillet Note Added: 0007423
2011-09-20 07:30 bmaillet Status feedback => resolved
2011-09-20 07:30 bmaillet Resolution reopened => fixed
2011-09-23 15:36 luca-endian Tag Attached: purple
2013-04-25 14:11 Anonymous Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker